<?php
//
/**
 * @package admin
 * @copyright Copyright 2003-2006 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: move_product_confirm.php 3009 2006-02-11 15:41:10Z wilt $
 */
if (!defined('IS_ADMIN_FLAG')) {
  die('Illegal Access');
}
        $archives_id = zen_db_prepare_input($_POST['archives_id']);
        $new_parent_id = zen_db_prepare_input($_POST['move_to_category_id']);

        $duplicate_check = $db->Execute("select count(*) as total
                                        from " . TABLE_BLOG_ARCHIVES_TO_CATEGORIES . "
                                        where archives_id = '" . (int)$archives_id . "'
                                        and categories_id = '" . (int)$new_parent_id . "'");

        if ($duplicate_check->fields['total'] < 1) {
          $db->Execute("update " . TABLE_BLOG_ARCHIVES_TO_CATEGORIES . "
                        set categories_id = '" . (int)$new_parent_id . "'
                        where archives_id = '" . (int)$archives_id . "'
                        and categories_id = '" . (int)$current_category_id . "'");

          // reset master_categories_id if moved from original master category
          $check_master = $db->Execute("select archives_id, master_categories_id from " . TABLE_BLOG_ARCHIVES . " where archives_id='" .  (int)$archives_id . "'");
          if ($check_master->fields['master_categories_id'] == (int)$current_category_id) {
            $db->Execute("update " . TABLE_BLOG_ARCHIVES . "
                          set master_categories_id='" . (int)$new_parent_id . "'
                          where archives_id = '" . (int)$archives_id . "'");
          }

        } else {
          $messageStack->add_session(ERROR_CANNOT_MOVE_PRODUCT_TO_CATEGORY_SELF, 'error');
        }

        zen_redirect(zen_href_link(FILENAME_BLOG, 'cPath=' . $new_parent_id . '&pID=' . $products_id . (isset($_GET['page']) ? '&page=' . $_GET['page'] : '')));

		?>